Skip to main content
PUT
/
gst
/
compliance
/
e-way-bill
/
consignor
/
bill
/
{ewb_no}
/
multi-vehicle
/
vehicle
curl --request PUT \ --url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle/vehicle \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "ewbNo": 291010080003, "fromPlace": "Lucknow", "fromState": 9, "groupNo": 11, "newTranNo": "PQR123", "newVehicleNo": " PQR1234", "oldTranNo": "ABC123", "oldvehicleNo": "PQR1234", "reasonCode": "1", "reasonRem": "vehicle broke down" } '
{ "code": 200, "data": { "error": { "errorCodes": "411" }, "info": "", "status": "0" }, "timestamp": 1763446641000, "transaction_id": "27d0adf9-1942-40c8-867d-19b490642ab1" }

Request body schema

View request body schema

Headers

authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.

x-api-key
string
required

API key for identification

x-api-version
string
default:1.0.0

API version

Path Parameters

ewb_no
string
required
Example:

"161010501944"

Body

application/json
ewbNo
number
Example:

291010080003

fromPlace
string
Example:

"Lucknow"

fromState
number
Example:

9

groupNo
number
Example:

11

newTranNo
string
Example:

"PQR123"

newVehicleNo
string
Example:

" PQR1234"

oldTranNo
string
Example:

"ABC123"

oldvehicleNo
string
Example:

"PQR1234"

reasonCode
string
Example:

"1"

reasonRem
string
Example:

"vehicle broke down"

Response

200 - application/json

200 Vehicle updated / 301 Invalid EWB number / 411 Multi-vehicle not initiated for specified details

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"4a367e41-c754-4c86-961e-e475197be997"